Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.canvas
Interface CanvasState

All Known Subinterfaces:
  Map2DState

    public interface CanvasState

Instances of this interface (and its sub-interfaces) describe the current state of a `Canvas`. The information contained by instances of this interface should only describe the viewing area or volume of the Canvas and should not contain any state information regarding the data contained within it.

When an instance of this class is returned from `Canvas` methods, a "snapshot" of the current state of the Canvas is taken and the values will never change (even if the Canvas changes state).

Method Summary
`Object` | `clone()` Returns a copy of this state object.
`boolean` | `equals(Object object)` Determines if the given object is the same type of Canvas state object and has values equal to this one.
`DirectPosition` | `getCenter()` Returns the position of the center pixel of this Canvas.
`String` | `getTitle()` Returns the title of the `Canvas`.

Method Detail

### getTitle

    String getTitle()

  Returns the title of the `Canvas`.

### getCenter

    DirectPosition getCenter()

  Returns the position of the center pixel of this Canvas.

### clone

    Object clone()
                 throws CloneNotSupportedException

  Returns a copy of this state object. The implementation should also clone the object returned by `getCanvasParameterAccessor()`.

  Throws:
    `CloneNotSupportedException`

### equals

    boolean equals(Object object)

  Determines if the given object is the same type of Canvas state object and has values equal to this one. As part of the test, the implementation should also test equivalency of the object returned by `getCanvasParameterAccessor()`.

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.